Package org.eclipse.e4.ui.model.application.ui.menu

# Interface MMenuItem

All Superinterfaces:
  `MApplicationElement`, `MItem`, `MLocalizable`, `MMenuElement`, `MUIElement`, `MUILabel`

All Known Subinterfaces:
  `MDirectMenuItem`, `MDynamicMenuContribution`, `MHandledMenuItem`

public interface MMenuItem extends MItem, MMenuElement
A representation of the model object 'Item'.

This is the base type for both Handled and direct menu items.

Since:
  1.0
Restriction:
  This interface is not intended to be implemented by clients.

## Method Summary

### Methods inherited from interface org.eclipse.e4.ui.model.application.MApplicationElement

`getContributorURI, getElementId, getPersistedState, getTags, getTransientData, setContributorURI, setElementId`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.menu.MItem

`getType, isEnabled, isSelected, setEnabled, setSelected, setType`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MLocalizable

`updateLocalization`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.menu.MMenuElement

`getLocalizedMnemonics, getMnemonics, setMnemonics`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MUIElement

`getAccessibilityPhrase, getContainerData, getCurSharedRef, getLocalizedAccessibilityPhrase, getParent, getRenderer, getVisibleWhen, getWidget, isOnTop, isToBeRendered, isVisible, setAccessibilityPhrase, setContainerData, setCurSharedRef, setOnTop, setParent, setRenderer, setToBeRendered, setVisible, setVisibleWhen, setWidget`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MUILabel

`getIconURI, getLabel, getLocalizedLabel, getLocalizedTooltip, getTooltip, setIconURI, setLabel, setTooltip`